Web lists-archives.com

Re: Gtk+4.0




>> From time to time, it is nice to get rid of deprecated APIs, to have
less code to maintain. GTK+ 3 has quite a lot of deprecated classes. So
getting rid of those, that alone is a good reason to release GTK+ 4, in
my opinion.

Of course it is necessary. But we have to think about backward
compatibility also. Or can we prepare a separate wrapper library that
maps the obsolete API functions to the latest ones? (I know it is a
bad idea, but app developers always ask for backward compatibility).

On 8/15/16, Thomas Martitz <kugel@xxxxxxxxxxx> wrote:
> Am 15.08.2016 um 14:48 schrieb Sébastien Wilmet:
>> On Mon, Aug 15, 2016 at 02:20:25PM +0200, Peter Weber wrote:
>>> I think breaking the API/ABI because of required changes, is right,
>>> breaking API/ABI because a fixed number of months has passed doesn't
>>> make
>>> much sense.
>>  From time to time, it is nice to get rid of deprecated APIs, to have
>> less code to maintain. GTK+ 3 has quite a lot of deprecated classes. So
>> getting rid of those, that alone is a good reason to release GTK+ 4, in
>> my opinion.
>
> Tons of the deprecated APIs have no nice replacement, or no replacement
> at all. For example GtkImageMenuItem, Stock Items, GtkActivatable.
> Removing them will just make adoption of Gtk 4 even harder.
>
> Best regards.
> _______________________________________________
> gtk-devel-list mailing list
> gtk-devel-list@xxxxxxxxx
> https://mail.gnome.org/mailman/listinfo/gtk-devel-list
>
_______________________________________________
gtk-devel-list mailing list
gtk-devel-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-devel-list